Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F148487857
D11491.id31389.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D11491.id31389.diff
View Options
Index: Mk/Scripts/qa.sh
===================================================================
--- Mk/Scripts/qa.sh
+++ Mk/Scripts/qa.sh
@@ -822,10 +822,45 @@
return $rc
}
+gemdeps()
+{
+ rc=0
+ if [ "${PKGBASE%%-*}" = "rubygem" ]; then
+ while read -r l; do
+ if [ -n "${l}" ]; then
+ name=${l%% *}
+ vers=${l#* }
+ while read -r v; do
+ if ! while read -r p; do
+ ${LOCALBASE}/bin/ruby -e "puts 'OK' if Gem::Dependency.new('${name}','${v}').match?('${name}','${p}')"
+ done | grep -qFx OK; then
+ err RubyGem dependency ${name} ${v} is not satisfied.
+ rc=1
+ fi <<-EOF
+ $(${LOCALBASE}/bin/gem list -e "${name}" \
+ | sed "s|.*(\(.*\))|\1|" \
+ | tr -d ' ' \
+ | tr , '\n')
+ EOF
+ done <<-EOF
+ $(while echo "${vers}" | grep -q '"'; do
+ echo "${vers}" | cut -d '"' -f2
+ vers=$(echo "${vers}"|cut -d '"' -f3-)
+ done)
+ EOF
+ fi
+ done <<-EOF
+ $(grep -a 'add_runtime_dependency' ${STAGEDIR}${PREFIX}/lib/ruby/gems/*/specifications/${PORTNAME}-*.gemspec \
+ | sed 's|.*<\(.*\)>.*\[\(.*\)\])|\1 \2|' \
+ | sort -u)
+ EOF
+ fi
+ return $rc
+}
checks="shebang symlinks paths stripped desktopfileutils sharedmimeinfo"
checks="$checks suidfiles libtool libperl prefixvar baselibs terminfo"
-checks="$checks proxydeps sonames perlcore no_arch"
+checks="$checks proxydeps sonames perlcore no_arch gemdeps"
ret=0
cd ${STAGEDIR}
Index: Mk/bsd.port.mk
===================================================================
--- Mk/bsd.port.mk
+++ Mk/bsd.port.mk
@@ -1532,6 +1532,7 @@
LIB_RUN_DEPENDS='${_LIB_RUN_DEPENDS:C,[^:]*:([^:]*):?.*,\1,}' \
UNIFIED_DEPENDS=${_UNIFIED_DEPENDS:C,([^:]*:[^:]*):?.*,\1,:O:u:Q} \
PKGBASE=${PKGBASE} \
+ PORTNAME=${PORTNAME} \
NO_ARCH=${NO_ARCH} \
"NO_ARCH_IGNORE=${NO_ARCH_IGNORE}"
.if !empty(USES:Mssl)
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Thu, Mar 19, 5:16 AM (11 h, 58 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
29948554
Default Alt Text
D11491.id31389.diff (1 KB)
Attached To
Mode
D11491: add a stage-qa target for USES=gem runtime dependencies
Attached
Detach File
Event Timeline
Log In to Comment